name: deploy

on:
  push:
    branches:
        - main
  workflow_call: {}
  workflow_dispatch:
    inputs:
      environment:
        description: "Environment to run tests against"
        type: environment
        required: true

run-name: deploy-${{ github.ref_name }}-${{ github.run_number }}

permissions:
  contents: read

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Trigger Vercel Deployment
        run: curl -X POST https://api.vercel.com/v1/integrations/deploy/